net.minecraft.entity

## Class EntityList

- java.lang.Object
- - net.minecraft.entity.EntityList

-     public class EntityList
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntityList.EntityEggInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map` | `classToStringMapping`
    `static java.util.HashMap` | `entityEggs`
    `static java.util.Map` | `IDtoClassMapping`
    `static java.util.Map` | `stringToClassMapping`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addMapping(java.lang.Class par0Class, java.lang.String par1Str, int par2)`
    `static void` | `addMapping(java.lang.Class par0Class, java.lang.String par1Str, int par2, int par3, int par4)`
    `static Entity` | `createEntityByID(int par0, World par1World)`
    `static Entity` | `createEntityByName(java.lang.String par0Str, World par1World)`
    `static Entity` | `createEntityFromNBT(NBTTagCompound par0NBTTagCompound, World par1World)`
    `static void` | `func_151514_a()`
    `static java.util.Set` | `func_151515_b()`
    `static java.lang.Class` | `getClassFromID(int par0)`
    `static int` | `getEntityID(Entity par0Entity)`
    `static java.lang.String` | `getEntityString(Entity par0Entity)`
    `static java.lang.String` | `getStringFromID(int par0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stringToClassMapping

          public static java.util.Map stringToClassMapping

    - #### classToStringMapping

          public static java.util.Map classToStringMapping

    - #### IDtoClassMapping

          public static java.util.Map IDtoClassMapping

    - #### entityEggs

          public static java.util.HashMap entityEggs

  - ### Constructor Detail

    - #### EntityList

          public EntityList()

  - ### Method Detail

    - #### addMapping

          public static void addMapping(java.lang.Class par0Class,
                        java.lang.String par1Str,
                        int par2)

    - #### addMapping

          public static void addMapping(java.lang.Class par0Class,
                        java.lang.String par1Str,
                        int par2,
                        int par3,
                        int par4)

    - #### createEntityByName

          public static Entity createEntityByName(java.lang.String par0Str,
                                  World par1World)

    - #### createEntityFromNBT

          public static Entity createEntityFromNBT(NBTTagCompound par0NBTTagCompound,
                                   World par1World)

    - #### createEntityByID

          public static Entity createEntityByID(int par0,
                                World par1World)

    - #### getEntityID

          public static int getEntityID(Entity par0Entity)

    - #### getClassFromID

          public static java.lang.Class getClassFromID(int par0)

    - #### getEntityString

          public static java.lang.String getEntityString(Entity par0Entity)

    - #### getStringFromID

          public static java.lang.String getStringFromID(int par0)

    - #### func_151514_a

          public static void func_151514_a()

    - #### func_151515_b

          public static java.util.Set func_151515_b()